function OK=muextractflag(answer,par)
% OK = MUEXTRACTFLAG(ANSWER,PAR)
% par is the (TARGET) index in the parameter menu list 
%    i.e. the progressive number in MU_MODEL
% ANSWER is the string from mufit_gui parameter menu, 
%
% Parses the string 
% Saves it in MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG 
% in MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE
% and/or in  MU_MODEL.COMPONENT(c).PARAMETER(p).LINREL 
% if syntax is correct (OK=1)
% Does nothing otherwise leaves old value otherwise (OK=0)
% In this case MUFIT_GUI blanks the flag input and colors it pink

global MU_MODEL

% parsing the answer
% what to do if an answer is illegal? 
% put back old value

OK=1; % set default RIGHT
[string c p]=mucomp(par);

% cases               1    2    3   
% answer may be e.g , ~, =5, +p(3)*0.2+p(1)
% linrel (+) policy:
% put parameter index in MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE
% share (=) policy:
% put shared parameter index in
% MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE
% mufit takes care of creating the right MU_MODEL.SHARE, which sets
% the rule for mufcn 

oldflag=MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG;
if isfield(MU_MODEL.COMPONENT(c).PARAMETER(p),'LINREL')
    oldlinrel=MU_MODEL.COMPONENT(c).PARAMETER(p).LINREL;
end

    
switch answer(end)
  case {'~','!'}
    if answer(end)~=oldflag
        MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG=answer(end);
                  MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE=par;
        % SHARE contains the Menu index of this active parameter,
        % will be recalculated into fminuit index in MUFIT
        % before launching fminuit  
    end
  case {'=','+'} % '=','+' at the end, is illegal
    OK=0;
  otherwise  % a share or a linrel
    switch answer(1)
      case '=' % followed by a number: setting a new share
        answer0=answer(2:end); % this should be the shared par
        [sharepar isnum]=str2num(answer0);
        if isnum&&sharepar<par
            % if ~isnum means that answer is not a number
            MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG='=';
            MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE=sharepar;
            % share(par) contains the index of this active parameter,
            % will be recalculated in mufit
            % before launching fminuit 
        else
            string=strvcat(['n=' num2str(par) ...
                            ' must be shared with m<n'], ...
                            ['You typed "'  answer '"'])
             disp(string)
             OK=0;
        end
      case '+' % followed by a linear relation
        OK=muparse(answer(2:end));
        if OK  
            MU_MODEL.COMPONENT(c).PARAMETER(p).LINREL=...
                answer(2:end);
            MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG='+';
            MU_MODEL.COMPONENT(c).PARAMETER(p).SHARE=0;
            MU_MODEL.COMPONENT(c).PARAMETER(p).VALUE=0;
            % SHARE=0 tells MUFIT_GUI that this is a legal linear
            % relation
            % VALUE=0 is conventional (the true value will be 
            % recalculated with relation)
            % that will be reallocated in MUFIT
            % before launching fminuit  
            % messages have laready been issued by MUPARSE
        end
    end
end
