function nt0=muguesst0(histos)
% nt0=muguesst0(histos)
% where histos has detector counts in colums (each row n detectors) 
% guesses approximate nt0 (bins of t=0), one per histo
global MU_GEAR
switch MU_GEAR.FACILITY
  case 'PSI'
    nt0=[];
    for k=1:size(histos,2)
        h=histos(:,k);
        nt0=[nt0 find(h==max(h))];
    end
  case 'ISIS'
    h=sum(histos,2);
    dh=h(2:end)-h(1:end-1);
    nt0=find(dh==max(dh));
    if dh(nt0+1)>dh(nt0-11)
        nt0=nt0+1;
    end
    nt0=nt0*ones(1,size(histos,2));
end