function [nparmin plotpar]=muparminuit
% N=MUPARMINUIT
% calculates the number of parameters passed to fminuit by this
% model, and provides the plot panel for each parameter (0=do not plot) 
    
    global MU_MODEL
    
    nparmin=0;
    plotpar=[];
    for k=1:MU_MODEL.COMPONENTNUMBER
        for j=1:MU_MODEL.COMPONENT(k).PARAMETERNUMBER
            plt=MU_MODEL.COMPONENT(k).PARAMETER(j).PLOT;
            if isempty(plt)
                plt=5;
            end
            plotpar=[plotpar plt];
            switch MU_MODEL.COMPONENT(k).PARAMETER(j).FLAG
              case {'~' '!'}
                nparmin=nparmin+1; % number of fminuit parameters
            end
        end
    end
    plotpar(find(plotpar==5))=0; % want zero for non plotted par