function selection=mutxtmenu(cellmenu,varargin)
% cellmenu contains items (suggestion: uppercase initial)
% varargin may contain optional title
% offers a multiple choice as text menu in command window
% returns choice (uppercase initial of chosen menu item)
% issues warning if two items share the same initial
    
    if length(varargin)
        disp([' ' char(varargin(1))]) % introductory text
    end
    termwidth=80; % assumes width 80 chars in terminal
    items=length(cellmenu);
    menu=[];
    options=[];
    maxlength=max(length(char(cellmenu([1:items]))))+1;
    itemsperrow=floor(termwidth/maxlength);
    rows=ceil(items/itemsperrow);
    item=0;
    blank=char(32)*ones(1,maxlength); % string of maxlength blanks
    for k=1:rows
        string=[];
        for l=1:itemsperrow
            item=item+1;
            if item<=items
                text=char(cellmenu(item));
                blanks=maxlength-length(text);
                initial=upper(text(1));
                if findstr(options,initial)
                    disp(['Warning, twin initials; ',initial])
                end
                options=[options initial]; % string containing all
                                           % valid capitalizes initials
                string=[string text blank(1:blanks)];
            end
        end
        menu=strvcat(menu,string);
    end
    ok=0;
    %    options
    while ~ok
        disp(menu)
        selection=input('Enter your choice: ','s');
        if ~isempty(selection)
            selection=upper(selection);
            k=findstr(options,selection);
            if ~isempty(k)
                selection=options(k);
                ok=1;
            else
                disp([selection ' is an invalid option. Try again'])
            end
        else
            disp('No choice')
            ok=1;
        end
    end